Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
resource_types
/
{resource_type_id}
/
resource
/
{resource_id}
/
owners
Add
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppResourceOwners.Add(ctx, operations.C1APIAppV1AppResourceOwnersAddRequest{
        AppID: "<id>",
        ResourceID: "<id>",
        ResourceTypeID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.AddAppResourceOwnerResponse != nil {
        // handle response
    }
}
{}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app that owns the resource.

resource_type_id
string
required

The ID of the resource type that classifies the resource.

resource_id
string
required

The ID of the app resource to add an owner to.

Body

application/json

The request message for adding an owner to an app resource.

userId
string

The C1 user ID to add as an owner.

Response

200 - application/json

The empty response message for adding an owner to an app resource.

The empty response message for adding an owner to an app resource.